# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-BSD-Resource
Version:	1.2911
Release:	3.%{__distinit}%{__distvers}
Summary:	BSD process resource limit and priority functions
License:	Artistic 2.0 or LGPLv2
URL:		http://search.cpan.org/dist/BSD-Resource/
Source0:	http://search.cpan.org/CPAN/authors/id/J/JH/JHI/BSD-Resource-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
# Module Runtime
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Do not provide internal shared library or unversioned provides
%{?perl_default_filter}
%global __provides_exclude ^(Resource\\.so.*|perl\\(BSD::Resource\\))$

%description
A module providing an interface for testing and setting process limits
and priorities.

%prep
%setup -q -n BSD-Resource-%{version} 

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc ChangeLog README
%{perl_vendorarch}/BSD/
%{perl_vendorarch}/auto/BSD/
%{_mandir}/man3/BSD::Resource.3*

%changelog
* Tue Mar 20 2018 Paul Howarth <paul@city-fan.org> - 1.2911-3
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Sun Jun 11 2017 Paul Howarth <paul@city-fan.org> - 1.2911-2
- Perl 5.26 rebuild

* Mon Apr 10 2017 Paul Howarth <paul@city-fan.org> - 1.2911-1
- Update to 1.2911
  - Prepend "./" to require-d pathnames in tests, in preparation for
    Perl 5.26.0 (CPAN RT#120993)
  - Add RLIMIT_POSIXLOCKS from DragonFly BSD
- Drop EL-5 support
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally

* Fri May 13 2016 Paul Howarth <paul@city-fan.org> - 1.2910-1
- Update to 1.2910
  - Add RLIMIT_RSESTACK from hpux/ia64, and RLIMIT_FREEMEM and RLIMIT_NTHR from
    QNX
  - Add more PRIO_ values from Solaris: PRIO_CONTRACT, PRIO_LWP, PRIO_PROJECT,
    PRIO_SESSION, PRIO_TASK, PRIO_ZONE
  - HPUX: Do not unconditionally define the RLIMIT_ and RLIM_NLIMITS
  - Add missing word ('enough') in getrusage.t test skippage
  - Repoint all the license pointers to COPYRIGHT and LICENSE in Resource.pm,
    add LICENSE file as a new pointer
- Simplify find commands using -empty and -delete
- BR: perl-generators where possible

* Mon Nov 16 2015 Paul Howarth <paul@city-fan.org> - 1.2909-1
- Update to 1.2909
  - The new RLIMIT_ values in 1.2908 were not added quite right; our own tests
    didn't detect this, but the mod_perl2 ones did (CPAN RT#108955)

* Thu Oct 22 2015 Paul Howarth <paul@city-fan.org> - 1.2908-1
- Update to 1.2908
  - Add more RLIMIT_ values from various systems, especially from Linux 2.6:
    RLIMIT_MSGQUEUE, RLIMIT_NICE, RLIMIT_NPTS, RLIMIT_PTHREAD, RLIMIT_RTPRIO,
    RLIMIT_RTTIME, RLIMIT_SBSIZE, RLIMIT_SIGPENDING, RLIMIT_SWAP
  - Add PRIO_THREAD, if available
- Explicitly BR: perl-devel, needed for EXTERN.h

* Fri Dec  5 2014 Paul Howarth <paul@city-fan.org> - 1.2907-3
- Classify buildreqs by usage

* Sun Aug 31 2014 Paul Howarth <paul@city-fan.org> - 1.2907-2
- Drop %%defattr, redundant since rpm 4.4

* Sat Jul 13 2013 Paul Howarth <paul@city-fan.org> - 1.2907-1
- Update to 1.2907
  - Skip setrlimit() tests also if the hard limit is RLIM_INFINITY
    (CPAN RT#86857)

* Thu Jul 11 2013 Paul Howarth <paul@city-fan.org> - 1.2906-1
- Update to 1.2906
  - Skip number-of-files and stack setrlimit tests in Cygwin: the constants
    exist but the implementation doesn't really seem to be there
  - For setrlimit tests involving byte sizes (memory or file size), round the
    byte sizes down to 4 kB boundaries
  - Fix some pod nits
- Add patch to fix broken setrlimit test (CPAN RT#86857)

* Wed Jun 26 2013 Paul Howarth <paul@city-fan.org> - 1.2905-1
- Update to 1.2905
  - Typo fixes (CPAN RT#86334)
  - Disable user/system timing tests if workload accumulates too little time
    (CPAN RT#62504)
  - Try harder to burn enough user and system time in getrusage.t, and
    refactor the "burn some cpu" utility into t/burn.pl so that it can be used
    in t/times.t as well
  - Fix test mis-numbering in NetBSD for t/setrlimit.t
  - Silence compilation warnings coming from Perl 5.18.0
  - Clarify the license to be Artistic 2.0 or LGPL 2.0
  - Regenerate ppport.h with Perl 5.18.0

* Wed Jun 27 2012 Paul Howarth <paul@city-fan.org> - 1.2904-3
- BR: perl(AutoLoader), perl(Carp) and perl(Exporter)
- don't need to remove empty directories from the buildroot
- drop support for old distributions prior to FC-3:
  - don't need to define %%{perl_vendorarch}
  - use DESTDIR rather than PERL_INSTALL_ROOT
  - use %%{_fixperms} macro rather than our own chmod incantation

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 1.2904-2
- rebuild for perl 5.14.1 in Rawhide
- nobody else likes macros for commands
- fix dist tag for CentOS 6 and Scientific Linux

* Tue Feb  8 2011 Paul Howarth <paul@city-fan.org> - 1.2904-1
- import from Fedora

* Wed Dec 15 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.29.04-2
- rebuild to fix problems with vendorarch/lib (#661697)

* Tue Jun  8 2010 Petr Pisar <ppisar@redhat.com> - 1.29.04-1
- 1.2904 bump (bug #600626)

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.29.03-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.29.03-3
- rebuild against perl 5.10.1

* Thu Oct 29 2009 Stepan Kasal <skasal@redhat.com> - 1.29.03-2
- bump release

* Mon Jul 27 2009 Marcela Mašláňová <mmaslano@redhat.com> - 1.29.03-1
- update, remove unneeded patch

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28-9
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28-8
- rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.28-7
- fix Patch0:/%%patch mismatch

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.28-6
- rebuild for perl 5.10 (again)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.28-5
- autorebuild for GCC 4.3

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.28-4
- rebuild for new perl

* Thu Aug 23 2007 Robin Norwood <rnorwood@redhat.com> 1.28-3
- fix license tag
- add %%doc section

* Sat Jun 30 2007 Steven Pritchard <steve@kspei.com> 1.28-2
- fix find option order
- use fixperms macro instead of our own chmod incantation
- remove check macro cruft
- remove redundant BR perl
- BR: ExtUtils::MakeMaker, Test::More, Test::Pod, and Test::Pod::Coverage
- patch t/setrlimit.t to fix bogus test failure
- set OPTIMIZE when running Makefile.PL, not make

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.28-1.fc6.1
- rebuild

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.28-1
- upgrade to upstream version 1.28

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.24-3.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.24-3.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.24-3.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Sat Apr  2 2005 Warren Togami <wtogami@redhat.com> - 1.24-3
- skip make test #153178

* Sat Apr  2 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-2
- spec cleanup
- license corrected

* Thu Mar 31 2005 Warren Togami <wtogami@redhat.com> 1.24-1
- 1.24

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.23-1
- update to 1.23

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package
  is removed

* Wed Jan 30 2002 cturner@redhat.com
- specfile autogenerated
